/*!\file KML_StyleSelector.cpp
 * \brief: implementation of the kml_styleselector abstract object
 */

/*Headers:*/
/*{{{*/
#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include <stdio.h>
#include <string.h>
#include "../objects.h"
#include "../../shared/shared.h"
#include "../../Container/Container.h"
#include "../../include/include.h"
/*}}}*/

/*Constructors/destructor/copy*/
/*FUNCTION KML_StyleSelector::KML_StyleSelector(){{{*/
KML_StyleSelector::KML_StyleSelector(){

	;

}
/*}}}*/
/*FUNCTION KML_StyleSelector::~KML_StyleSelector(){{{*/
KML_StyleSelector::~KML_StyleSelector(){

	;

}
/*}}}*/

/*Other*/
/*FUNCTION KML_StyleSelector::Echo {{{*/
void  KML_StyleSelector::Echo(){

	KML_Object::Echo();

	return;
}
/*}}}*/

/*FUNCTION KML_StyleSelector::DeepEcho {{{*/
void  KML_StyleSelector::DeepEcho(){

	char  indent[81]="";

	KML_StyleSelector::DeepEcho(indent);

	return;
}
/*}}}*/

/*FUNCTION KML_StyleSelector::DeepEcho {{{*/
void  KML_StyleSelector::DeepEcho(const char* indent){

	KML_Object::DeepEcho(indent);

	return;
}
/*}}}*/

/*FUNCTION KML_StyleSelector::Write {{{*/
void  KML_StyleSelector::Write(FILE* filout,const char* indent){

	KML_Object::Write(filout,indent);

	return;
}
/*}}}*/

/*FUNCTION KML_StyleSelector::Read {{{*/
void  KML_StyleSelector::Read(FILE* fid,char* kstr){

/*  process field within opening and closing tags  */

	if      (!strncmp(kstr,"</StyleSelector",15))
		return;
	else if (!strncmp(kstr,"</",2))
	  {_error2_("KML_StyleSelector::Read -- Unexpected closing tag " << kstr << ".\n");}
	else if (strncmp(kstr,"<",1))
	  {_error2_("KML_StyleSelector::Read -- Unexpected field \"" << kstr << "\".\n");}

	else if (!strncmp(kstr,"<",1))
		KML_Object::Read(fid,kstr);

	return;
}
/*}}}*/

